      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this licence along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      ********************************************************************
       IDENTIFICATION          DIVISION.
       PROGRAM-ID.             SOKATU0910.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : Ģɼ
      *  ݡͥ̾  : ݡɽ
      *              :
      *      ȼ        
      *  03/12/05              
      *****************************************************************
      *  ץཤ
      * Maj/Min/Rev                   
      *****************************************************************
      *
       ENVIRONMENT                 DIVISION.
       CONFIGURATION               SECTION.
       INPUT-OUTPUT                SECTION.
       FILE-CONTROL.

      *    ե
           SELECT  SKT0910TMP-FILE ASSIGN    SKT0910TP
                                   ORGANIZATION    IS  INDEXED
                                   ACCESS  MODE    IS  DYNAMIC
                                   RECORD  KEY     IS  SKT0910TMP-KEY
                                   FILE    STATUS  IS  STS-SKT0910.
      *
      *    եʸѡ
           SELECT  SKT0911TMP-FILE ASSIGN    SKT0911TP
                                   ORGANIZATION    IS  INDEXED
                                   ACCESS  MODE    IS  DYNAMIC
                                   RECORD  KEY     IS  SKT0911TMP-KEY
                                   FILE    STATUS  IS  STS-SKT0911.
      *
006900*    ģ¹ѥե
           SELECT  UPD-FILE        ASSIGN  RECEUPD
                                   ORGANIZATION    IS  LINE
                                                       SEQUENTIAL
                                   FILE    STATUS  IS  STS-RECEUPD.
      *
           SELECT  YUSEN-FILE    ASSIGN FILE-NAME
                                 ORGANIZATION   IS  LINE SEQUENTIAL
                                 ACCESS MODE    IS  SEQUENTIAL
                                 FILE   STATUS  IS  STS-YUSEN.
      *
006900*    顼ե
           SELECT  RECEERR-FILE    ASSIGN  RECEERR
                                   FILE    STATUS  IS  STS-RECEERR.
      *
       DATA                        DIVISION.
       FILE                        SECTION.
      *
      *    ե
       FD  SKT0910TMP-FILE.
           COPY    "CPSKT0910TMP.INC".
      *
      *    եʺʻѡ
       FD  SKT0911TMP-FILE.
           COPY    "CPSKT0911TMP.INC".
      *
006900*    ģ¹ѥե
       FD  UPD-FILE.
           COPY    "CPRCF010.INC"  REPLACING  //RECE10//
                                   BY         //RECE10X//.
      *
      *    ͥݸֹե
       FD  YUSEN-FILE.
       01  YUSEN-HKNJANUM             PIC X(06).
      *
006900*    顼ե
       FD  RECEERR-FILE.
       01  RECEERR-REC             PIC X(200).
      *
       WORKING-STORAGE             SECTION.
      *
      *    ե ̾ΰ
           COPY    "CPCOMMONDAT2.INC"
                                   REPLACING  //RECE01PARA//
                                   BY         //SKT0910TP//.
      *
      *    ե ̾ΰ
           COPY    "CPCOMMONDAT2.INC"
                                   REPLACING  //RECE01PARA//
                                   BY         //SKT0911TP//.
      *
006900*    ģ¹ѥե ̾ΰ
           COPY    "CPCOMMONDAT2.INC"
                                   REPLACING  //RECE01PARA//
                                   BY         //RECEUPD//.
           03  FILLER              PIC X(04)   VALUE   ".dat".
      *
      *    顼ե ̾ΰ
           COPY    "CPCOMMONDAT2.INC"
                                   REPLACING  //RECE01PARA//
                                   BY         //RECEERR//.
           03  FILLER              PIC X(04)   VALUE   ".dat".
      *
      *    ΰ
           COPY    "CPCOMMONSHELL.INC".
      *
           COPY    "SKT0910.INC".
           COPY    "SKT0911.INC".
      *
      *    ΰ
       01  STS-AREA.
           03  STS-SKT0910         PIC X(02).
           03  STS-SKT0911         PIC X(02).
           03  STS-RECE10          PIC X(02).
           03  STS-RECEERR         PIC X(02).
           03  STS-RECEUPD         PIC X(02).
           03  STS-YUSEN           PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-END             PIC 9(01).
           03  FLG-SKT0910TMP      PIC 9(01).
           03  FLG-SKT0911TMP      PIC 9(01).
           03  FLG-RECE10          PIC 9(01).
           03  FLG-SYSKANRI        PIC 9(01).
           03  FLG-HKNNUM          PIC 9(01).
           03  FLG-PTINF           PIC 9(01).
           03  FLG-HKNJAINF        PIC 9(01).
           03  FLG-HKNCOMBI        PIC 9(01).
           03  FLG-SRYACT          PIC 9(01).
           03  FLG-SYUNOU          PIC 9(01).
           03  FLG-UPD             PIC 9(01).
           03  FLG-UPDFILE         PIC 9(01).
           03  FLG-SEIKYU          PIC 9(01).
           03  FLG-PTINF           PIC 9(01).
           03  FLG-PRINT           PIC 9(01).
           03  FLG-KOH             PIC 9(01).
           03  FLG-ZAIISO          PIC 9(01).
           03  FLG-PASS            PIC 9(01).
           03  FLG-KOH1            PIC 9(01).
           03  FLG-KOH2            PIC 9(01).
      *
      *    źΰ
       01  IDX-AREA.
           03  IDX1                PIC 9(04).
           03  IDX2                PIC 9(04).
           03  IDX3                PIC 9(04).
           03  IDX4                PIC 9(04).
           03  IDX5                PIC 9(04).
           03  IDX6                PIC 9(01).
      *
      *##  ѥ᥿ΰ͡
       01  WRK-PARA.
           COPY    "CPORCSPRTLNK.INC".
           03  WRK-PARA-JOBID      PIC 9(07).
           03  WRK-PARA-SHELLID    PIC X(08).
           03  WRK-PARA-HOSPID     PIC X(24).
           03  WRK-PARA-HKNJANUM   PIC X(08).
           03  WRK-PARA-PAGE       PIC 9(10).
      *
      *
      *    ΰ
       01  WRK-AREA.
           03  WRK-SEIYMD          PIC X(08).
           03  WRK-SEIYMDWH        PIC X(22).
           03  WRK-SRYYMWH         PIC X(16).
           03  WRK-SRYYMD          PIC X(08).
      *
           03  WRK-SYMD.
               05  WRK-SYY         PIC 9(04).
               05  WRK-SMM         PIC 9(02).
               05  WRK-SDD         PIC 9(02).
           03  WRK-HENYMDG         PIC X(22).
      *
           03  WRK-PAYKBN          PIC 9(02).
           03  WRK-RATE            PIC 9(03).
           03  WRK-CNT             PIC 9(02).
           03  WRK-ITBFTN          PIC 9(10).
           03  WRK-KOHNUM          PIC X(03).
      *
      *    ե̾ѥꥢ
           03  FILE-NAME           PIC X(512).
      *
           03  WRK-TENHYO          PIC 99.
           03  WRK-Z2              PIC ZZ.
           03  WRK-Z3              PIC ZZZ.
           03  WRK-Z5              PIC Z,ZZZ.
           03  WRK-Z6              PIC ZZ,ZZZ.
           03  WRK-Z7              PIC ZZZ,ZZZ.
           03  WRK-Z9              PIC Z,ZZZ,ZZZ.
           03  WRK-Z10             PIC ZZ,ZZZ,ZZZ.
           03  WRK-Z11             PIC ZZZ,ZZZ,ZZZ.
           03  WRK-Z13             PIC Z,ZZZ,ZZZ,ZZZ.
      *
           03  WRK-RECEERR         PIC X(200).
           03  WRK-KENKBN          PIC 9(01).
           03  WRK-HKNJANUM        PIC X(06).
           03  WRK-KOHNUM          PIC X(03).
           03  WRK-MODE            PIC 9(01).
           03  SV-PREFKBN          PIC X(01).
      *
      *    ΰ
       01  CNT-AREA.
           03  CNT-LINE            PIC 9(02).
           03  CNT-PAGE            PIC 9(03).
           03  CNT-RECE10          PIC 9(06).
           03  CNT-UPDFILE         PIC 9(06).
           03  CNT-IN              PIC 9(02).
           03  CNT-KOH             PIC 9(02).
      *
           COPY    "CPSHELLTBL.INC".
      *
           COPY    "ORCA-DBPATH".
      *
      *****************************************************************
      *    ե쥤
      *****************************************************************
      *
      *    Ծ
       01  PTINF-REC.
           COPY    "CPPTINF.INC".
      *
      *    ݸԾ
       01  HKNJAINF-REC.
           COPY    "CPHKNJAINF.INC".
      *
      *    ݸֹ
       01  HKNNUM-REC.
           COPY    "CPHKNNUM.INC".
      *
      *ݸȹ礻
       01  HKNCOMBI-REC.
           COPY    "CPHKNCOMBI.INC".
      *
      *    Ź԰
       01  SRYACT-REC.
           COPY    "CPSRYACT.INC".
      *
      *    Ǽ
       01  SYUNOU-REC.
           COPY    "CPSYUNOU.INC".
      *
      *    ƥޥ
           COPY    "CPSYSKANRI.INC".
      *
      *    ŵؾ
           COPY    "CPSK1001.INC".
      *
      *    ŵؾݽϡϢ
           COPY    "CPSK1002.INC".
      *
      *    ץ̾ƾ
           COPY    "CPSK1031.INC".
      *
           COPY    "CPRCF010.INC".
      *
      *    ִޥ
       01  JOBKANRI-REC.
           COPY    "CPJOBKANRI.INC".
      *
       01  PRTKANRI-REC.
           COPY    "CPPRTKANRI.INC".
      *
       01  PRTDATA-REC.
           COPY    "CPPRTDATA.INC".
      *
      ******************************************************************
      *    ֥ץѡΰ
      *****************************************************************
      *
      *   ִģ極
           COPY    "CPORCSJOBKANRI.INC".
      *
      *    ģ¹
           COPY    "CPORCSPRT.INC".
      *
      *   Ѵ
           COPY    "CPORCSDAY.INC".
           COPY    "CPORCSLNK.INC".
      *
      *    ̥ѥ᥿
           COPY    "MCPAREA".
      *
           COPY    "MCPDATA.INC".
           COPY    "CPORCMCP.INC".
      *
      *    եǥ쥯ȥֻꥵ
           COPY    "CPMKPASS.INC".
      *
      ****************************************************************
       LINKAGE                 SECTION.
       01  COMMAND-PARAM.
           02  FILLER      PIC X(256).
      ****************************************************************
       PROCEDURE           DIVISION
               USING
           COMMAND-PARAM.
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC                SECTION.
      *
           PERFORM 100-INIT-SEC
      *
           PERFORM 200-MAIN-SEC
                   UNTIL       FLG-END     =   1
      *
           PERFORM 300-END-SEC
      *
           STOP    RUN
           .
      *****************************************************************
      *    
      *****************************************************************
       100-INIT-SEC                SECTION.
      *
           INITIALIZE                  FLG-AREA
           INITIALIZE                  STS-AREA
           INITIALIZE                  WRK-AREA
           INITIALIZE                  CNT-AREA
           INITIALIZE                  WRK-PARA-HKNJANUM
      ***     INITIALIZE                  TBL-HKNJANUM-AREA
      ***     INITIALIZE                  SYUKEI-TABLE
      *
           DISPLAY  "START"
      *
           PERFORM 100-DBOPEN-SEC
      *
      *###͡
           UNSTRING   COMMAND-PARAM    DELIMITED  BY  ","
                                       INTO    LNK-PRTKANRI-RENNUM
                                               LNK-PRTKANRI-TBL-KEY
                                               LNK-PRTKANRI-TBL-GROUP
                                               LNK-PRTKANRI-SHORI-RENNUM
                                               LNK-PRTKANRI-SRYYM
                                               LNK-PRTKANRI-SKYYMD
                                               LNK-PRTKANRI-SHELLID
                                               LNK-PRTKANRI-PRIORITY
                                               LNK-PRTKANRI-TERMID
                                               LNK-PRTKANRI-OPID
                                               LNK-PRTKANRI-PRTNM
                                               WRK-PARA-JOBID
                                               WRK-PARA-SHELLID
                                               WRK-PARA-HOSPID
                                               WRK-PARA-HKNJANUM
      *
      *    ƥå״Ͻ
           MOVE    "STS"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           MOVE    "SOKATU0910"    TO  JOB-PGID
           MOVE    ""    TO  JOB-SHELLMSG
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA
                                   JOBKANRI-REC
      *
      *##͡LNK-PRTKANRI-TERMID)
           MOVE    "SKT0910TP"         TO  SKT0910TP-FILE-ID
           MOVE    LNK-PRTKANRI-TERMID TO  SKT0910TP-TERMID
      *
           MOVE    "SKT0911TP"         TO  SKT0911TP-FILE-ID
           MOVE    LNK-PRTKANRI-TERMID TO  SKT0911TP-TERMID
      *
           MOVE    "RECEUPD"           TO  RECEUPD-FILE-ID
           MOVE    LNK-PRTKANRI-TERMID TO  RECEUPD-TERMID
      *
           MOVE    "RECEERR"           TO  RECEERR-FILE-ID
           MOVE    LNK-PRTKANRI-TERMID TO  RECEERR-TERMID
      *
      *###)
           MOVE    LNK-PRTKANRI-SRYYM  TO  WRK-SRYYMD (1:6)
           MOVE    "01"                TO  WRK-SRYYMD (7:2)
           MOVE    LNK-PRTKANRI-SRYYM  TO  WRK-SYMD (1:6)
           MOVE    "01"                TO  WRK-SYMD (7:2)
           PERFORM 31012-SEIWA-HEN-SEC
           MOVE    WRK-HENYMDG(1:16)   TO  WRK-SRYYMWH
      *##
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    LNK-PRTKANRI-SKYYMD     TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           IF      STS-DAY-RC1         =   ZERO
                   MOVE    LNK-DAY2-EDTYMD3    TO  WRK-SEIYMDWH
           END-IF
      *
      *    ŵأɣԽ
           INITIALIZE                  SYS-1001-REC
           MOVE    "1001"              TO  SYS-1001-KANRICD
           MOVE    "*"                 TO  SYS-1001-KBNCD
           MOVE    SYS-1001-REC        TO  MCPDATA-REC
           PERFORM 910-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC         TO  SYS-1001-REC
               IF      SYS-1001-HOSPNAME   =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1001-HOSPNAME
               END-IF
               IF      SYS-1001-KAISETUNAME    =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1001-KAISETUNAME
               END-IF
           ELSE
               MOVE    "ŵؾ󤬼ǤޤǤ"
                                           TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
               MOVE    1                   TO  FLG-END
           END-IF
      *
      *    ŵؾݽϡϢ
           INITIALIZE                  SYS-1002-REC
           MOVE    "1002"              TO  SYS-1002-KANRICD
           MOVE    "*"                 TO  SYS-1002-KBNCD
           MOVE    SYS-1002-REC        TO  MCPDATA-REC
           PERFORM 910-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC        TO  SYS-1002-REC
               IF      SYS-1002-ADRS       =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1002-ADRS
               END-IF
           ELSE
               MOVE    "ŵؾʽϡˤǤޤǤ"
                                           TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
               MOVE    1                   TO  FLG-END
           END-IF
      *
      *##͡ץ̾ƾԽ
           MOVE     SPACE         TO        SYS-1031-REC
           INITIALIZE                       SYS-1031-REC
           MOVE     "1031"        TO        SYS-1031-KANRICD
           MOVE     "*"           TO        SYS-1031-KBNCD
           MOVE     SYS-1031-REC  TO        MCPDATA-REC
           PERFORM  910-SYSKANRI-INV-SEC
           IF       FLG-SYSKANRI        =   ZERO
                    MOVE    MCPDATA-REC TO  SYS-1031-REC
           ELSE
                    INITIALIZE              SYS-1031-REC
           END-IF
      *
           PERFORM  110-INI-FILE-SEC
      *
           OPEN    OUTPUT  UPD-FILE
      *
           PERFORM 900-SEIKYU-SELECT-SEC
      *
           .
       100-INIT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ͥݸֹINIեɤ߹߽  04/01/05 INS
      *****************************************************************
       110-INI-FILE-SEC                SECTION.
      *
      *
      *    եǥ쥯ȥֻ
           INITIALIZE           ORCSMKPASSAREA
           MOVE  "data/YUSEN.INI"     TO  MKPASS-IN-01
           CALL  "ORCSMKPASSSITE"  USING  ORCSMKPASSAREA
           MOVE  MKPASS-OT-01  TO  FILE-NAME
      *
           DISPLAY "ե̾="  FILE-NAME
      *
           INITIALIZE   YUSEN-HKNJANUM
      *
           OPEN  INPUT  YUSEN-FILE
      *
           READ YUSEN-FILE
             AT END
               INITIALIZE        YUSEN-HKNJANUM
             DISPLAY "ɤ߹߼"
           END-READ
      *
           DISPLAY "ͥݸֹ="  YUSEN-HKNJANUM
      *
           CLOSE YUSEN-FILE
      *
           .
       110-INI-FILE-EXT.
           EXIT.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       200-MAIN-SEC                SECTION.
      *
           OPEN     OUTPUT  SKT0910TMP-FILE
           CLOSE            SKT0910TMP-FILE
           OPEN     I-O     SKT0910TMP-FILE
      *
           OPEN     OUTPUT  SKT0911TMP-FILE
           CLOSE            SKT0911TMP-FILE
           OPEN     I-O     SKT0911TMP-FILE
      *
      ***     INITIALIZE       SYUKEI-TABLE
      *
           MOVE     ZERO    TO      FLG-END
           MOVE     ZERO    TO      FLG-UPD
      *
           PERFORM  2001-KOKUHO-SYUKEI-SEC
                    UNTIL   FLG-END   =   1
      *
           CLOSE   UPD-FILE
           CLOSE   SKT0910TMP-FILE
      *
           IF       FLG-UPD   =       1
                    PERFORM   2002-PRINT-SEC
           END-IF
      *
           .
       200-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    λ    
      *****************************************************************
       300-END-SEC                     SECTION.
      *
           IF      CNT-RECE10          =   ZERO
                   CONTINUE
           ELSE
                   IF      FLG-UPD     =   1
                           PERFORM     310-SEIKYU-UPD-SEC
                   END-IF
           END-IF
           MOVE  CNT-PAGE  TO  WRK-PARA-PAGE
      *
           DISPLAY "*** SOKATU0910 IN  "  CNT-RECE10
           DISPLAY "*** SOKATU0910 END ***"
      *
      *    ƥå׽λ
           MOVE    "STE"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
      *
      *###͡
           MOVE    WRK-PARA-PAGE   TO  JOB-UPDCNT
      *
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA
                                   JOBKANRI-REC

           PERFORM 900-DBDISCONNECT-SEC
           .
       300-END-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸֹ̽׽
      *****************************************************************
       2001-KOKUHO-SYUKEI-SEC              SECTION.
      *
      *    TMP-FILE å
           INITIALIZE       SKT0910TMP-REC
      *    ݸֹ
            IF      RECE10-HKNJANUM(7:2)  =  SPACE
                    MOVE  RECE10-HKNJANUM(1:6)  TO
                                            SKT0910TMP-HKNJANUM(1:6)
            ELSE
                    MOVE  RECE10-HKNJANUM(3:6)  TO
                                            SKT0910TMP-HKNJANUM(1:6)
            END-IF
      *
      *    
           IF       RECE10-ZAITAKU = "1"
                    MOVE  1    TO  SKT0910TMP-ZAITAKU
           ELSE
                    MOVE  0    TO  SKT0910TMP-ZAITAKU
           END-IF
      *
           IF       YUSEN-HKNJANUM = SKT0910TMP-HKNJANUM
                    MOVE  0    TO  SKT0910TMP-SYUTURYOKU
           ELSE
                    MOVE  1    TO  SKT0910TMP-SYUTURYOKU
           END-IF
      *
           PERFORM  900-SKTTMP-READ-SEC
      *
           PERFORM  210-HKN-SYUKEI-SEC
      *
      *    񽸷
      *
           PERFORM  VARYING  IDX1   FROM   1   BY   1
                    UNTIL    IDX1   >      4
              IF    RECE10-KOHNUM(IDX1)    NOT    =   SPACE
      *
      *    TMP-FILE å
      *
                    INITIALIZE       SKT0911TMP-REC
      *    
                    MOVE  SKT0910TMP-ZAITAKU    TO  SKT0911TMP-ZAITAKU
      *    ݸֹ
                    MOVE  SKT0910TMP-HKNJANUM   TO  SKT0911TMP-HKNJANUM
      *    ֹ
                    IF    RECE10-KOHNUM(IDX1)  =    "091"
                          MOVE    "051"         TO  SKT0911TMP-KOHNUM
                    ELSE
                          MOVE    RECE10-KOHNUM(IDX1)
                                                TO  SKT0911TMP-KOHNUM
                    END-IF
      *
                    PERFORM  900-KOHTMP-READ-SEC
      *
                    PERFORM  220-KOH-SYUKEI-SEC
              END-IF
      *
           END-PERFORM
      *
      *    פоݤˤʤʤäȤ
           IF      FLG-UPD             =   1
               PERFORM 230-UPD-FILE-HENSYU-SEC
      *
               MOVE    "SEIKYU-KEY4"       TO  ORC-DBPATH
               PERFORM 900-SEIKYU-READ-SEC
           ELSE
               MOVE    SPACE               TO  WRK-RECEERR
               STRING "оݳֹ"     DELIMITED  BY  SIZE
                       RECE10-PTNUM                DELIMITED  BY  SPACE
                       " ǯ"               DELIMITED  BY  SIZE
                       RECE10-SRYYM                DELIMITED  BY  SIZE
                       " 쥻̡"               DELIMITED  BY  SIZE
                       RECE10-RECESYUBETU          DELIMITED  BY  SIZE
                                           INTO    WRK-RECEERR
               END-STRING
               PERFORM 500-ERR-HENSYU-SEC
               MOVE    1                   TO  FLG-END
           END-IF
           .
       2001-KOKUHO-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸϷݷʬ׽
      *****************************************************************
       210-HKN-SYUKEI-SEC          SECTION.
      *
      *    ʬ
           IF  RECE10-NYUGAIKBN  =  1
             MOVE  1  TO  IDX2
           ELSE
             MOVE  2  TO  IDX2
           END-IF
      *    Ϸݷ
           IF  RECE10-RJNHKNNUM  NOT  =  SPACE
             EVALUATE  RECE10-KYURATE
               WHEN  9       MOVE  11 TO  IDX1
               WHEN  OTHER   MOVE  12 TO  IDX1
             END-EVALUATE
      *
           ELSE
      *    ̡࿦
             IF  RECE10-HKNNUM  =  "060"
      *    ǯå
               IF  RECE10-AGE  >=  70
                 EVALUATE  RECE10-KYURATE
                   WHEN  9       MOVE  1  TO  IDX1
                   WHEN  OTHER   MOVE  2  TO  IDX1
                 END-EVALUATE
               ELSE
      *    ̤å
                 IF  RECE10-AGE > 2
      *    å
                     IF  SKT0910TMP-HKNJANUM(3:1)  =  "3"
                         EVALUATE  RECE10-KYURATE
                            WHEN  7       MOVE  3  TO  IDX1
                            WHEN  OTHER   MOVE  4  TO  IDX1
                         END-EVALUATE
                     ELSE
                         MOVE  3        TO    IDX1
                     END-IF
                 ELSE
                   MOVE  5        TO    IDX1
                 END-IF
               END-IF
             ELSE
      *    ǯå
               IF  RECE10-HONKZKKBN  =  "1"
                 IF  RECE10-AGE  >  69
                   IF  RECE10-KYURATE  =  9
                     MOVE  7   TO  IDX1
                   ELSE
                     MOVE  8   TO  IDX1
                   END-IF
                 ELSE
                   MOVE    6   TO  IDX1
                 END-IF
               ELSE
                 IF  RECE10-AGE  >  2
                   IF    RECE10-AGE  >  69
                     IF  RECE10-KYURATE  =  9
                       MOVE  7   TO  IDX1
                     ELSE
                       MOVE  8   TO  IDX1
                     END-IF
                   ELSE
                     MOVE  9     TO  IDX1
                   END-IF
                 ELSE
                   MOVE  10    TO  IDX1
                 END-IF
               END-IF
             END-IF
      *
           END-IF
      *
           PERFORM  2102-SYUKEI-SEC
      *
           .
       210-HKN-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸ׽
      *****************************************************************
       2102-SYUKEI-SEC         SECTION.
      *
      *    ܤεա
           ADD   1                     TO  SKT0910TMP-KENSU (IDX1 IDX2)
      *    ܤεա
           ADD   RECE10-JNISSU(1)      TO  SKT0910TMP-NISSU (IDX1 IDX2)
      *    ܤεա
           ADD   RECE10-TOTALTEN(1)    TO  SKT0910TMP-TENSU (IDX1 IDX2)
      *    ܤεաô
           ADD   RECE10-FTNMONEY(1)    TO  SKT0910TMP-ITBFTN(IDX1 IDX2)
      *
      *    
      *
           IF       RECE10-SHOKUJINISSU(1)  >  0
      *    ܡ
                    ADD   1            TO  SKT0910TMP-S-KENSU(IDX1)
      *    ܡ
                    ADD   RECE10-SHOKUJINISSU (1)
                                       TO  SKT0910TMP-S-NISSU(IDX1)
      *    ܡ
                    ADD   RECE10-SHOKUJIRYOYOHI (1)
                                       TO  SKT0910TMP-S-KINGAKU(IDX1)
      *    ܡɸô
                    ADD   RECE10-SHOKUJIFTN (1)
                                       TO  SKT0910TMP-S-FTNGAKU(IDX1)
           END-IF
      *
           IF      FLG-SKT0910TMP  =  1
                   WRITE    SKT0910TMP-REC
           ELSE
                   REWRITE  SKT0910TMP-REC
           END-IF
      *
           MOVE    1               TO  FLG-UPD
           .
       2102-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ôʬ׽
      *****************************************************************
       220-KOH-SYUKEI-SEC        SECTION.
      *
           IF  RECE10-NYUGAIKBN  =  1
               MOVE  1  TO  IDX3
           ELSE
               MOVE  2  TO  IDX3
           END-IF
      *
           COMPUTE IDX2    =     IDX1   +         1
      *
      *    ܤεա
           ADD     1                    TO    SKT0911TMP-KENSU(IDX3)
      *    ܤεա
           ADD     RECE10-JNISSU(IDX2)  TO    SKT0911TMP-NISSU(IDX3)
      *    ܤεա
           ADD     RECE10-TOTALTEN(IDX2)  TO    SKT0911TMP-TENSU(IDX3)
      *    ܤεաô
           ADD     RECE10-FTNMONEY(IDX2)  TO    SKT0911TMP-ITBFTN(IDX3)
      *
           IF      RECE10-SHOKUJINISSU(1)  >  0
      *    ܡ
                   ADD     1            TO  SKT0911TMP-S-KENSU
      *    ܡ
                   ADD     RECE10-SHOKUJINISSU(IDX2)
                                        TO  SKT0911TMP-S-NISSU
      *    ܡ
                   ADD     RECE10-SHOKUJIRYOYOHI(IDX2)
                                        TO  SKT0911TMP-S-KINGAKU
      *    ܡɸô
                   ADD     RECE10-SHOKUJIFTN(IDX2)
                                        TO  SKT0911TMP-S-FTNGAKU
           END-IF
      *
           IF      FLG-SKT0911TMP  =  1
                   WRITE    SKT0911TMP-REC
           ELSE
                   REWRITE  SKT0911TMP-REC
           END-IF
      *
           MOVE    1    TO  FLG-UPD
      *
           .
       220-KOH-SYUKEI-EXT.
           EXIT.
      *****************************************************************
006900*    ģ¹ѥեϽ
      *****************************************************************
       230-UPD-FILE-HENSYU-SEC         SECTION.
      *
           MOVE    RECE10-REC          TO  RECE10X-REC
           WRITE   RECE10X-REC
           ADD     1                   TO  CNT-UPDFILE
           .
       230-UPD-FILE-HENSYU-EXT.
           EXIT.
057400*
      *****************************************************************
      *    ĢɼեϽ
      *****************************************************************
       2002-PRINT-SEC                SECTION.
      *
           OPEN     INPUT       SKT0910TMP-FILE
           OPEN     INPUT       SKT0911TMP-FILE
      *
           MOVE     ZERO        TO       FLG-PRINT
           MOVE     1           TO       WRK-CNT
      *
           PERFORM  900-TMP1-READ-SEC
      *
           PERFORM  310-PRINT-MAIN-SEC
                    UNTIL       FLG-PRINT   =   1
      *
           CLOSE    SKT0910TMP-FILE
           CLOSE    SKT0911TMP-FILE
      *
           .
       2002-PRINT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼեϽ
      *****************************************************************
       310-PRINT-MAIN-SEC               SECTION.
      *
      *1ڡ
      *    ̹ݡ࿦ʬ
      *
      *    ĢɼԽ<Ф>
           PERFORM  311-HEAD-HEN-SEC
      *
      *    ĢɼԽ<١ݡ࿦>
           PERFORM  321-BODY-HEN-SEC
      *
      *    Ģɼ
           PERFORM  381-PRINT-OUT-SEC
      *
      *ڡʹ
      *    Ϸݷ򡦸ʬ
           INITIALIZE         SKT0911TMP-KEY
           MOVE     SKT0910TMP-ZAITAKU     TO     SKT0911TMP-ZAITAKU
           MOVE     SKT0910TMP-HKNJANUM    TO     SKT0911TMP-HKNJANUM
           PERFORM  900-TMP2-START-SEC
      *
      *    ĢɼԽ<Ф>
           PERFORM  331-HEAD-HEN-SEC
      *
      *
           IF       SKT0910TMP-HKNJANUM    =      SKT0911TMP-HKNJANUM
             AND    SKT0910TMP-ZAITAKU     =      SKT0911TMP-ZAITAKU
      *
      *    ĢɼԽ<١Ϸ>
              PERFORM  341-BODY-HEN-SEC
      *
              MOVE     1      TO     IDX1
              PERFORM  UNTIL  FLG-SKT0911TMP   =   1
                       OR     SKT0910TMP-HKNJANUM  NOT  =
                                                SKT0911TMP-HKNJANUM
                       OR     SKT0910TMP-ZAITAKU   NOT  =
                                                SKT0911TMP-ZAITAKU
      *
                       IF        IDX1       >     4
                                 PERFORM   391-PRINT-OUT-SEC
                                 MOVE      1       TO       IDX1

      *    ĢɼԽ<Ф>
                                 PERFORM  331-HEAD-HEN-SEC
                       END-IF
      *
      *    ĢɼԽ<١>
                       PERFORM  351-BODY-HEN-SEC
      *
                       PERFORM  900-TMP2-READ-SEC
      *
                       ADD      1         TO         IDX1
      *
              END-PERFORM
      *
              PERFORM  391-PRINT-OUT-SEC
      *
           ELSE
      *
              PERFORM  391-PRINT-OUT-SEC
      *
           END-IF
      *
           PERFORM  900-TMP1-READ-SEC
      *
           .
       310-PRINT-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<إå>ʰ̡
      *****************************************************************
       311-HEAD-HEN-SEC          SECTION.
      *
           ADD     1                     TO  CNT-PAGE
      *
           INITIALIZE                    SKT0910
      *    ǯ
           MOVE    WRK-SRYYMWH           TO  SKT0910-SRYYM
      *    ǯ
           MOVE    WRK-SEIYMDWH          TO  SKT0910-SEIYMD
      *    ŵإ
           MOVE    SYS-1001-HOSPCD       TO  SKT0910-HOSPCD
      *    ŵؽ
           MOVE    SYS-1002-ADRS         TO  SKT0910-HOSPADRS
      *    ŵ̾
           MOVE    SYS-1001-HOSPNAME     TO  SKT0910-HOSPNAME
      *    ߼̾
           MOVE    SYS-1001-KAISETUNAME  TO  SKT0910-KAISETU
      *    ֹ
           MOVE    SYS-1002-TEL          TO  SKT0910-TEL
      *    ݸֹ
           MOVE    SKT0910TMP-HKNJANUM   TO  SKT0910-HKNJANUM
      *
      *    ݸ̾
      ***  PERFORM  920-HKNJAINF-SET-SEC
      *
      ***  STRING  HKNJA-HKNJANAME       DELIMITED BY SPACE
      ***          "  "                  DELIMITED BY SIZE
      ***          INTO                  SKT0910-HKNJANAME
      ***  END-STRING
      *
      *
           IF     SKT0910TMP-ZAITAKU     =      "1"
                  MOVE     ""          TO     SKT0910-ZAITAKU1
                  MOVE     ""          TO     SKT0910-ZAITAKU2
           ELSE
                  MOVE     SPACE         TO     SKT0910-ZAITAKU1
                  MOVE     SPACE         TO     SKT0910-ZAITAKU2
           END-IF
      *
           IF     SYS-1001-TENHYOKBN     =      "1"
                  MOVE     ""          TO     SKT0910-TENHYOKBN1(1)
                  MOVE     ""          TO     SKT0910-TENHYOKBN2(1)
           ELSE
                  MOVE     ""          TO     SKT0910-TENHYOKBN1(2)
                  MOVE     ""          TO     SKT0910-TENHYOKBN2(2)
           END-IF
      *
          .
       311-HEAD-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<ٹ>ʰ̹ݡ࿦
      *****************************************************************
       321-BODY-HEN-SEC      SECTION.
      *
      *    Խ
           PERFORM  VARYING  IDX1  FROM  1  BY  1
                    UNTIL    IDX1  >     10
             PERFORM  VARYING  IDX2  FROM  1  BY  1
                      UNTIL    IDX2  >     2
      *    ܤεա
               MOVE  SKT0910TMP-KENSU (IDX1 IDX2)  TO  WRK-Z3
               MOVE  WRK-Z3                TO  SKT0910-KENSU(IDX1 IDX2)
      *    ܤεա
               MOVE  SKT0910TMP-NISSU (IDX1 IDX2)  TO  WRK-Z3
               MOVE  WRK-Z3                TO  SKT0910-NISSU(IDX1 IDX2)
      *    ܤεա
               MOVE  SKT0910TMP-TENSU (IDX1 IDX2)  TO  WRK-Z9
               MOVE  WRK-Z9                TO  SKT0910-TENSU(IDX1 IDX2)
      *    ܤεաô
               MOVE  SKT0910TMP-ITBFTN (IDX1 IDX2) TO  WRK-Z9
               MOVE  WRK-Z9                TO  SKT0910-ITBFTN(IDX1 IDX2)
      *
             END-PERFORM
      *
      *    ܡ
             MOVE  SKT0910TMP-S-KENSU (IDX1)       TO  WRK-Z3
             MOVE  WRK-Z3                  TO SKT0910-S-KENSU(IDX1)
      *    ܡ
             MOVE  SKT0910TMP-S-NISSU (IDX1)       TO  WRK-Z3
             MOVE  WRK-Z3                  TO SKT0910-S-NISSU(IDX1)
      *    ܡ
             MOVE  SKT0910TMP-S-KINGAKU (IDX1)     TO  WRK-Z9
             MOVE  WRK-Z9                  TO SKT0910-S-MONEY(IDX1)
      *    ܡɸô
             MOVE  SKT0910TMP-S-FTNGAKU (IDX1)     TO  WRK-Z9
             MOVE  WRK-Z9                  TO SKT0910-S-FTNGAKU(IDX1)
      *
           END-PERFORM
      *
           .
       321-BODY-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<إå>Ϸ͡
      *****************************************************************
       331-HEAD-HEN-SEC          SECTION.
      *
           ADD     1                     TO  CNT-PAGE
      *
           INITIALIZE                    SKT0911
      *    ŵإ
           MOVE    SYS-1001-HOSPCD       TO  SKT0911-HOSPCD
      *
      *    ݸֹ
           MOVE    SKT0910TMP-HKNJANUM   TO  SKT0911-HKNJANUM
      *
           .
       331-HEAD-HEN-EXT.
           EXIT.
      *****************************************************************
      *    ĢɼԽ<ٹ>Ϸ͡
      *****************************************************************
       341-BODY-HEN-SEC      SECTION.
      *
      *    Խ
           PERFORM  VARYING  IDX1  FROM  11  BY  1
                    UNTIL    IDX1  >     12
      *
             COMPUTE  IDX3   =     IDX1       -        10
             PERFORM  VARYING  IDX2  FROM  1  BY  1
                      UNTIL    IDX2  >     2
      *    ܤεա
               MOVE  SKT0910TMP-KENSU (IDX1 IDX2)  TO  WRK-Z3
               MOVE  WRK-Z3
                     TO  SKT0911-R-KENSU(IDX3 IDX2)
      *    ܤεա
               MOVE  SKT0910TMP-NISSU (IDX1 IDX2)  TO  WRK-Z3
               MOVE  WRK-Z3
                     TO  SKT0911-R-NISSU(IDX3 IDX2)
      *    ܤεա
               MOVE  SKT0910TMP-TENSU (IDX1 IDX2)  TO  WRK-Z9
               MOVE  WRK-Z9
                     TO  SKT0911-R-TENSU(IDX3 IDX2)
      *    ܤεաô
               MOVE  SKT0910TMP-ITBFTN (IDX1 IDX2) TO  WRK-Z7
               MOVE  WRK-Z7
                     TO  SKT0911-R-ITBFTN(IDX3 IDX2)
      *
             END-PERFORM
      *    ܡ
             MOVE  SKT0910TMP-S-KENSU (IDX1)       TO  WRK-Z3
             MOVE  WRK-Z3                  TO SKT0911-R-S-KENSU(IDX3)
      *    ܡ
             MOVE  SKT0910TMP-S-NISSU (IDX1)       TO  WRK-Z3
             MOVE  WRK-Z3                  TO SKT0911-R-S-NISSU(IDX3)
      *    ܡ
             MOVE  SKT0910TMP-S-KINGAKU (IDX1)     TO  WRK-Z7
             MOVE  WRK-Z7                  TO SKT0911-R-S-MONEY(IDX3)
      *    ܡɸô
             MOVE  SKT0910TMP-S-FTNGAKU (IDX1)     TO  WRK-Z7
             MOVE  WRK-Z7                  TO SKT0911-R-S-FTNGAKU(IDX3)
      *
           END-PERFORM
      *
           .
       341-BODY-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<ٹ>ʸ
      *****************************************************************
       351-BODY-HEN-SEC      SECTION.
      *
      *    Խ
           PERFORM  VARYING  IDX2  FROM  1  BY  1
                      UNTIL  IDX2  >     2
      *    ܤεա
               MOVE  SKT0911TMP-KENSU (IDX2)  TO  WRK-Z3
               MOVE  WRK-Z3                TO  SKT0911-KENSU(IDX1 IDX2)
      *    ܤεա
               MOVE  SKT0911TMP-NISSU (IDX2)  TO  WRK-Z3
               MOVE  WRK-Z3                TO  SKT0911-NISSU(IDX1 IDX2)
      *    ܤεա
               MOVE  SKT0911TMP-TENSU (IDX2)  TO  WRK-Z9
               MOVE  WRK-Z9                TO  SKT0911-TENSU(IDX1 IDX2)
      *    ܤεաô
               MOVE  SKT0911TMP-ITBFTN (IDX2) TO  WRK-Z7
               MOVE  WRK-Z7                TO  SKT0911-ITBFTN(IDX1 IDX2)
      *
           END-PERFORM
      *
      *    ܤεա̾
           MOVE     SKT0911TMP-KOHNUM  TO  WRK-KOHNUM
           PERFORM  950-HKNNUM-SET-SEC
           MOVE     HKN-HBTNUM         TO  SKT0911-HBTNO(IDX1)
           IF       SKT0911TMP-KOHNUM  =   "051"
                    MOVE    "" TO  SKT0911-KOHNAME(IDX1)
           ELSE
                    MOVE    HKN-TANSEIDONAME
                                       TO  SKT0911-KOHNAME(IDX1)
           END-IF
      *
      *    ܡ
           MOVE  SKT0911TMP-S-KENSU      TO  WRK-Z3
           MOVE  WRK-Z3                  TO SKT0911-S-KENSU(IDX1)
      *    ܡ
           MOVE  SKT0911TMP-S-NISSU      TO  WRK-Z3
           MOVE  WRK-Z3                  TO SKT0911-S-NISSU(IDX1)
      *    ܡ
           MOVE  SKT0911TMP-S-KINGAKU    TO  WRK-Z7
           MOVE  WRK-Z7                  TO SKT0911-S-MONEY(IDX1)
      *    ܡɸô
           MOVE  SKT0911TMP-S-FTNGAKU    TO  WRK-Z7
           MOVE  WRK-Z7                  TO SKT0911-S-FTNGAKU(IDX1)
      *
           .
       351-BODY-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ģɼ
      *****************************************************************
       381-PRINT-OUT-SEC                SECTION.
      *
           INITIALIZE                  ORCSPRTAREA
           MOVE    "INS"               TO  SPRT-MODE
           MOVE    LNK-PRTKANRI-RENNUM TO  SPRT-RENNUM
           MOVE    LNK-PRTKANRI-TBL-KEY
                                       TO  SPRT-TBL-KEY
           MOVE    LNK-PRTKANRI-TBL-GROUP
                                       TO  SPRT-TBL-GROUP
           MOVE    LNK-PRTKANRI-SRYYM  TO  SPRT-SRYYM
           MOVE    LNK-PRTKANRI-SKYYMD TO  SPRT-SKYYMD
           MOVE    LNK-PRTKANRI-SHELLID
                                       TO  SPRT-SHELLID
           MOVE    LNK-PRTKANRI-SHORI-RENNUM
                                       TO  SPRT-SHORI-RENNUM
           MOVE    LNK-PRTKANRI-PRIORITY
                                       TO  SPRT-PRIORITY
           MOVE    ""        TO  SPRT-TITLE
           MOVE    "SKT0910"           TO  SPRT-PRTID
           MOVE    SKT0910             TO  SPRT-PRTDATA
           MOVE    LNK-PRTKANRI-TERMID TO  SPRT-TERMID
           MOVE    LNK-PRTKANRI-OPID   TO  SPRT-OPID
           MOVE    LNK-PRTKANRI-PRTNM  TO  SPRT-PRTNM
           CALL    "ORCSPRT"           USING
                                       ORCSPRTAREA
           IF      SPRT-RETURN         =   ZERO
               CONTINUE
           ELSE
               MOVE    "ģ¤˹ǤޤǤ"
                                          TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
           END-IF
           .
       381-PRINT-OUT-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ģɼ
      *****************************************************************
       391-PRINT-OUT-SEC                SECTION.
      *
           INITIALIZE                  ORCSPRTAREA
           MOVE    "INS"               TO  SPRT-MODE
           MOVE    LNK-PRTKANRI-RENNUM TO  SPRT-RENNUM
           MOVE    LNK-PRTKANRI-TBL-KEY
                                       TO  SPRT-TBL-KEY
           MOVE    LNK-PRTKANRI-TBL-GROUP
                                       TO  SPRT-TBL-GROUP
           MOVE    LNK-PRTKANRI-SRYYM  TO  SPRT-SRYYM
           MOVE    LNK-PRTKANRI-SKYYMD TO  SPRT-SKYYMD
           MOVE    LNK-PRTKANRI-SHELLID
                                       TO  SPRT-SHELLID
           MOVE    LNK-PRTKANRI-SHORI-RENNUM
                                       TO  SPRT-SHORI-RENNUM
           MOVE    LNK-PRTKANRI-PRIORITY
                                       TO  SPRT-PRIORITY
           MOVE    ""        TO  SPRT-TITLE
           MOVE    "SKT0911"           TO  SPRT-PRTID
           MOVE    SKT0911             TO  SPRT-PRTDATA
           MOVE    LNK-PRTKANRI-TERMID TO  SPRT-TERMID
           MOVE    LNK-PRTKANRI-OPID   TO  SPRT-OPID
           MOVE    LNK-PRTKANRI-PRTNM  TO  SPRT-PRTNM
           CALL    "ORCSPRT"           USING
                                       ORCSPRTAREA
           IF      SPRT-RETURN         =   ZERO
               CONTINUE
           ELSE
               MOVE    "ģ¤˹ǤޤǤ"
                                          TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
           END-IF
           .
       391-PRINT-OUT-EXT.
           EXIT.
      *
      *****************************************************************
      *    顼Ͻ
      *****************************************************************
       500-ERR-HENSYU-SEC                SECTION.
      *
           OPEN    INPUT   RECEERR-FILE
           IF      STS-RECEERR         =   ZERO
               CLOSE   RECEERR-FILE
           ELSE
               OPEN    OUTPUT              RECEERR-FILE
      *
               MOVE    WRK-RECEERR         TO  RECEERR-REC
               WRITE   RECEERR-REC
               CLOSE   RECEERR-FILE
      *
      *        ִϽ
               MOVE    "JBE"           TO  SJOBKANRI-MODE
               INITIALIZE                  JOBKANRI-REC
               MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
               MOVE    WRK-PARA-SHELLID
                                       TO  JOB-SHELLID
               MOVE    WRK-RECEERR     TO  JOB-YOBI
               MOVE    "9999"          TO  JOB-ERRCD
               CALL    "ORCSJOB"       USING
                                       ORCSJOBKANRIAREA
                                       JOBKANRI-REC
           END-IF
      *
           MOVE    1                   TO  FLG-END
      *
           .
       500-ERR-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *   ģ¹
      *****************************************************************
       310-SEIKYU-UPD-SEC              SECTION.
      *
           OPEN    INPUT    UPD-FILE
      *
           PERFORM 900-UPD-FILE-READ-SEC
           PERFORM             UNTIL   FLG-UPDFILE    =   1
               MOVE    RECE10X-KEY         TO  RECE10-KEY
               MOVE    RECE10-REC          TO  MCPDATA-REC
               PERFORM 910-SEIKYU-INV-SEC
               IF      FLG-SEIKYU          =   ZERO
                   MOVE    "2"             TO  RECE10-SKYKBN
      *
      *###ɸɽ͡
      *##          MOVE    WRK-PARA-SKYYM  TO  RECE10-SKYYM
      *##          MOVE    WRK-PARA-SYSYMD TO  RECE10-UPDYMD
      *
      *###͡
                   MOVE    LNK-PRTKANRI-SRYYM
                                           TO  RECE10-SKYYM
                   MOVE    LNK-PRTKANRI-SKYYMD
                                           TO  RECE10-UPDYMD
      *
                   MOVE    RECE10-REC      TO  MCPDATA-REC
                   MOVE    "DBUPDATE"      TO  MCP-FUNC
                   MOVE    "SEIKYU-KEY"    TO  ORC-DBPATH
                   CALL    "ORCMCPSUB"      USING
                                                MCPAREA
                                                ORCMCPAREA
                                                MCPDATA-REC
                   IF      MCP-RC          =   ZERO
                       PERFORM 900-UPD-FILE-READ-SEC
                   ELSE
                       DISPLAY "UPD ERR KEY="  RECE10-KEY
                       MOVE  "*** SOKATU2310 SEIKYU UPD ERR ***"
                                           TO  WRK-RECEERR
                       MOVE    RECE10-KEY  TO  WRK-RECEERR(33:)
                       PERFORM 500-ERR-HENSYU-SEC
                       MOVE    1           TO  FLG-UPDFILE
                   END-IF
               ELSE
                       DISPLAY "INV ERR KEY="  RECE10-KEY
                   MOVE  "*** SOKATU2310 SEIKYU INVALID ***"
                                           TO  WRK-RECEERR
                   MOVE    RECE10-KEY      TO  WRK-RECEERR(33:)
                   PERFORM 500-ERR-HENSYU-SEC
                   MOVE    1               TO  FLG-UPDFILE
               END-IF
           END-PERFORM
      *
           CLOSE   UPD-FILE
           .
       310-SEIKYU-UPD-EXT.
           EXIT.
      *
      *****************************************************************
      *    ܸѴ
      *****************************************************************
       31012-SEIWA-HEN-SEC        SECTION.
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD            TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           MOVE    LNK-DAY2-EDTYMD3    TO  WRK-HENYMDG
           INSPECT WRK-HENYMDG    REPLACING  ALL "  "  BY  ""
           .
       31012-SEIWA-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ɹ
      *****************************************************************
       900-SEIKYU-SELECT-SEC             SECTION.
      *
      *    ģ¸
           INITIALIZE                  RECE10-REC
      *
      *###ɸɽ͡
      *##  MOVE    WRK-PARA-HOSPID     TO  RECE10-HOSPID
      *##  MOVE    WRK-PARA-SKYYM      TO  RECE10-SKYYM
      *
      *###͡
           MOVE   SYS-1001-HOSPID       TO    RECE10-HOSPID.
      *     MOVE   LNK-PRTKANRI-SKYYMD   TO    RECE10-SKYYM.
           MOVE   LNK-PRTKANRI-SRYYM    TO    RECE10-SKYYM.
      *
           IF    WRK-PARA-HKNJANUM  NOT = ZERO
              MOVE  WRK-PARA-HKNJANUM  TO  RECE10-XXSTHKNJANUM
                                           RECE10-XXEDHKNJANUM
           END-IF
      *
           MOVE    RECE10-REC          TO  MCPDATA-REC
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "SEIKYU-KEY4"       TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "SEIKYU-KEY4"       TO  ORC-DBPATH
               PERFORM 900-SEIKYU-READ-SEC
           ELSE
               MOVE    1                   TO  FLG-END
           END-IF
           .
       900-SEIKYU-SELECT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       900-SEIKYU-READ-SEC           SECTION.
      *
           MOVE    "SEIKYU-KEY4"       TO  ORC-DBPATH
           MOVE    "DBFETCH"           TO  MCP-FUNC
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    ZERO            TO  FLG-END
               MOVE    MCPDATA-REC         TO  RECE10-REC
      *
      *        ƥȴԤΤȤɤФ
               MOVE    SPACE               TO  PTINF-REC
               INITIALIZE                      PTINF-REC
               MOVE    RECE10-HOSPID       TO  PTINF-HOSPID
               MOVE    RECE10-PTID         TO  PTINF-PTID
               MOVE    PTINF-REC           TO  MCPDATA-REC
               PERFORM 800-PTINF-READ-SEC
               IF      FLG-PTINF           =   ZERO
               AND     PTINF-TSTPTNUMKBN   =   "1"
                   GO  TO  900-SEIKYU-READ-SEC
               END-IF
      *
               ADD     1                   TO  CNT-RECE10
           ELSE
               MOVE    1               TO  FLG-END
           END-IF
      *
           .
       900-SEIKYU-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ԥޥɹ
      *****************************************************************
       800-PTINF-READ-SEC         SECTION.
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "PTINF-KEY"         TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "PTINF-KEY"         TO  ORC-DBPATH
               CALL    "ORCMCPSUB"          USING
                                            MCPAREA
                                            ORCMCPAREA
                                            MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-PTINF
                   MOVE    MCPDATA-REC         TO  PTINF-REC
               ELSE
                   MOVE    1                   TO  FLG-PTINF
                   INITIALIZE                  PTINF-REC
               END-IF
           ELSE
               MOVE    1                   TO  FLG-PTINF
               INITIALIZE                  PTINF-REC
           END-IF
      *
           MOVE    "DBCLOSE"           TO  MCP-FUNC
           MOVE    "PTINF-KEY"         TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
      *
           .
       800-PTINF-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *   ݸԾ󥻥å
      *****************************************************************
       920-HKNJAINF-SET-SEC  SECTION.

           INITIALIZE  HKNJAINF-REC
           MOVE  SYS-1001-HOSPID      TO  HKNJA-HOSPID
           MOVE  SKT0910TMP-HKNJANUM  TO  HKNJA-HKNJANUM
           MOVE  HKNJAINF-REC         TO  MCPDATA-REC
           MOVE  "DBSELECT"           TO  MCP-FUNC
           MOVE  "HKNJAINF-KEY"       TO  ORC-DBPATH
           CALL  "ORCMCPSUB"          USING
                                      MCPAREA
                                      ORCMCPAREA
                                      MCPDATA-REC
           IF  MCP-RC  =  ZERO
             MOVE  "HKNJAINF-KEY"   TO  ORC-DBPATH
             PERFORM  925-HKNJAINF-READ-SEC
           ELSE
             DISPLAY  "HKNJAINF SELECT ERR" UPON CONSOLE
           END-IF

           INITIALIZE  MCPAREA
           MOVE  "DBCLOSE"        TO  MCP-FUNC
           MOVE  "HKNJAINF-KEY"   TO  ORC-DBPATH
           CALL  "ORCMCPSUB"      USING
                                  MCPAREA
                                  ORCMCPAREA
                                  MCPDATA-REC

           .
       920-HKNJAINF-SET-EXT.
           EXIT.
      *****************************************************************
      *    ݸԾɹ
      *****************************************************************
       925-HKNJAINF-READ-SEC  SECTION.

           MOVE  "DBFETCH"  TO  MCP-FUNC
           CALL  "ORCMCPSUB"  USING
                              MCPAREA
                              ORCMCPAREA
                              MCPDATA-REC
           IF  MCP-RC  =  ZERO
             MOVE  MCPDATA-REC  TO  HKNJAINF-REC
             MOVE  ZERO         TO  FLG-HKNJAINF
           ELSE
             INITIALIZE  HKNJAINF-REC
             MOVE  1            TO  FLG-HKNJAINF
           END-IF

           .
       925-HKNJAINF-READ-EXT.
           EXIT.
      *****************************************************************
      *    ץեɹ
      *****************************************************************
       900-SKTTMP-READ-SEC             SECTION.
      *
           READ     SKT0910TMP-FILE
                    INVALID    KEY
                             MOVE    1    TO  FLG-SKT0910TMP
                    NOT INVALID  KEY
                            MOVE    ZERO  TO  FLG-SKT0910TMP
           END-READ
           .
       900-SKTTMP-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ץեɹ
      *****************************************************************
       900-KOHTMP-READ-SEC             SECTION.
      *
           READ     SKT0911TMP-FILE
                    INVALID    KEY
                             MOVE    1    TO  FLG-SKT0911TMP
                    NOT INVALID  KEY
                            MOVE    ZERO  TO  FLG-SKT0911TMP
           END-READ
           .
       900-KOHTMP-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¹ѥեɹ
      *****************************************************************
       900-UPD-FILE-READ-SEC             SECTION.
      *
           READ    UPD-FILE
               AT  END
                   MOVE    1           TO  FLG-UPDFILE
               NOT AT  END
                   MOVE    ZERO        TO  FLG-UPDFILE
           END-READ
           .
       900-UPD-FILE-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ƥޥɹ
      *****************************************************************
       910-SYSKANRI-INV-SEC         SECTION.
      *
      *###ɸɽ͡
      *### MOVE    WRK-PARA-SYSYMD         TO  ORC-DBYMD
      *
      *###͡
           MOVE    LNK-PRTKANRI-SKYYMD     TO  ORC-DBYMD
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "SYSKANRI-KEY"      TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "SYSKANRI-KEY"      TO  ORC-DBPATH
               CALL    "ORCMCPSUB"          USING
                                            MCPAREA
                                            ORCMCPAREA
                                            MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-SYSKANRI
               ELSE
                   MOVE    1                   TO  FLG-SYSKANRI
               END-IF
           ELSE
               MOVE    1                   TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    "DBCLOSE"           TO  MCP-FUNC
           MOVE    "SYSKANRI-KEY"      TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
      *
           .
       910-SYSKANRI-INV-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       910-SEIKYU-INV-SEC         SECTION.
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "SEIKYU-KEY"        TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "SEIKYU-KEY"        TO  ORC-DBPATH
               CALL    "ORCMCPSUB"          USING
                                            MCPAREA
                                            ORCMCPAREA
                                            MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-SEIKYU
                   MOVE    MCPDATA-REC         TO  RECE10-REC
               ELSE
                   MOVE    1                   TO  FLG-SEIKYU
               END-IF
           ELSE
               MOVE    1                   TO  FLG-SEIKYU
           END-IF
      *
           MOVE    "DBCLOSE"           TO  MCP-FUNC
           MOVE    "SEIKYU-KEY"        TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
      *
           .
       910-SEIKYU-INV-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸֹޥɹ
      *****************************************************************
       900-HKNNUM-READ-SEC         SECTION.
      *
           MOVE    "DBFETCH"           TO  MCP-FUNC
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    MCPDATA-REC     TO  HKNNUM-REC
               MOVE    ZERO            TO  FLG-HKNNUM
           ELSE
               INITIALIZE                  HKNNUM-REC
               MOVE    1               TO  FLG-HKNNUM
           END-IF
      *
           .
       900-HKNNUM-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɹʥ
      *****************************************************************
       900-HKNJAINF-INV-SEC         SECTION.
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "HKNJAINF-KEY"      TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "HKNJAINF-KEY"      TO  ORC-DBPATH
               CALL    "ORCMCPSUB"          USING
                                            MCPAREA
                                            ORCMCPAREA
                                            MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-HKNJAINF
                   MOVE    MCPDATA-REC         TO  HKNJAINF-REC
               ELSE
                   MOVE    1                   TO  FLG-HKNJAINF
               END-IF
           ELSE
               MOVE    1                   TO  FLG-HKNJAINF
           END-IF
      *
           MOVE    "DBCLOSE"           TO  MCP-FUNC
           MOVE    "HKNJAINF-KEY"      TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
      *
           .
       900-HKNJAINF-INV-EXT.
           EXIT.
      *
      *****************************************************************
      *    եɹ
      *****************************************************************
       900-TMP1-READ-SEC                SECTION.
      *
           READ  SKT0910TMP-FILE   NEXT
                 AT  END
                     MOVE    1     TO    FLG-PRINT
                 NOT AT  END
                     MOVE    ZERO  TO    FLG-PRINT
           END-READ
           .
       900-TMP1-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    եӣԣң
      *****************************************************************
       900-TMP2-START-SEC               SECTION.
      *
           START  SKT0911TMP-FILE
                  KEY   IS   NOT   <    SKT0911TMP-KEY
                  INVALID    KEY
                     MOVE    1     TO  FLG-SKT0911TMP
                  NOT   INVALID    KEY
                     MOVE    ZERO  TO  FLG-SKT0911TMP
                     PERFORM 900-TMP2-READ-SEC
           END-START
           .
       900-TMP2-START-EXT.
           EXIT.
      *
      *****************************************************************
      *    եɹ
      *****************************************************************
       900-TMP2-READ-SEC                SECTION.
      *
           READ  SKT0911TMP-FILE   NEXT
                 AT  END
                     MOVE    1     TO    FLG-SKT0911TMP
                 NOT AT  END
                     MOVE    ZERO  TO    FLG-SKT0911TMP
           END-READ
           .
       900-TMP2-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *   ݸֹ󥻥å
      *****************************************************************
       950-HKNNUM-SET-SEC  SECTION.

           INITIALIZE  HKNNUM-REC
           MOVE  SYS-1001-HOSPID      TO  HKN-HOSPID
           MOVE  WRK-KOHNUM           TO  HKN-HKNNUM
           MOVE  HKNNUM-REC           TO  MCPDATA-REC
           MOVE  "DBSELECT"           TO  MCP-FUNC
           MOVE  "HKNNUM-KEY2"        TO  ORC-DBPATH
           CALL  "ORCMCPSUB"          USING
                                      MCPAREA
                                      ORCMCPAREA
                                      MCPDATA-REC
           IF  MCP-RC  =  ZERO
             MOVE  "HKNNUM-KEY2"      TO  ORC-DBPATH
             PERFORM  955-HKNNUM-READ-SEC
           ELSE
             DISPLAY  "HKNNUM SELECT ERR" UPON CONSOLE
           END-IF

           INITIALIZE  MCPAREA
           MOVE  "DBCLOSE"        TO  MCP-FUNC
           MOVE  "HKNNUM-KEY2"    TO  ORC-DBPATH
           CALL  "ORCMCPSUB"      USING
                                  MCPAREA
                                  ORCMCPAREA
                                  MCPDATA-REC

           .
       950-HKNNUM-SET-EXT.
           EXIT.
      *****************************************************************
      *    ݸԾɹ
      *****************************************************************
       955-HKNNUM-READ-SEC  SECTION.

           MOVE  "DBFETCH"  TO  MCP-FUNC
           CALL  "ORCMCPSUB"  USING
                              MCPAREA
                              ORCMCPAREA
                              MCPDATA-REC
           IF  MCP-RC  =  ZERO
             MOVE  MCPDATA-REC  TO  HKNNUM-REC
             MOVE  ZERO         TO  FLG-HKNNUM
           ELSE
             INITIALIZE  HKNNUM-REC
             MOVE  1  TO  FLG-HKNNUM
           END-IF

           .
       955-HKNNUM-READ-EXT.
           EXIT.
      *****************************************************************
      *    ģ¡ץ
      *****************************************************************
       100-DBOPEN-SEC                SECTION.
      *
           MOVE    "DBOPEN"            TO  MCP-FUNC.
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC.
      *
           MOVE    "DBSTART"           TO  MCP-FUNC.
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC.
           .
       100-DBOPEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡
      *****************************************************************
       900-DBDISCONNECT-SEC            SECTION.
      *
           MOVE    "DBCOMMIT"          TO  MCP-FUNC.
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC.
      *
           MOVE    "DBDISCONNECT"      TO  MCP-FUNC.
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC.
           .
       900-DBCLOSE-EXT.
           EXIT.
